| FoxitPDFSDKforWeb v11.0.4 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
EmbeddedGotoActionData Interface Reference
PDF » actions

Indicates that the destination thread is not in the current document. More...

## Public Attributes
DestinationData | destination
| The destination information which specifies where to jump to in the final target file For a embedded go-to action, the destination information can be stored as either a destination object or a destination name: More...
string | destinationName
| The desgination name which is defined in final target PDF file. For a embedded go-to action, the destination information can be stored as either a destination object or a destination name: More...
NewWindowFlag | newWindowFlag
| The flag which is used to decide whether to open the destination document in a new window or not. More...
FileSpecData | rootFile
| The file specification of the root file which is the root file for the target. More...
EmbeddedGotoTargetData | target
| An embedded goto target object. More...

## Detailed Description

Indicates that the destination thread is not in the current document.

The file specification for the thread destination if it is external. The destination thread number within the current document. The index of the destination thread. The title of the destination thread.

Represents the data for an embedded goto action, specifying the target destination, root file, and window behavior.

Note
  Foxit PDF SDK for Web currently does not support executing this type of Action, but it allows creating, editing, and retrieving the related data.

Since
  11.0.0

## Member Data Documentation

## ◆ destination

DestinationData EmbeddedGotoActionData::destination

The destination information which specifies where to jump to in the final target file For a embedded go-to action, the destination information can be stored as either a destination object or a destination name:

- If it is a destination object, the `destination` property would be a valid destination object.
- If it is a destination name, the `destinationName` property would be valid string, and the destination name would be defined in the final target PDF file.

## ◆ destinationName

string EmbeddedGotoActionData::destinationName

The desgination name which is defined in final target PDF file. For a embedded go-to action, the destination information can be stored as either a destination object or a destination name:

- If it is a destination object, the `destination` property would be a valid destination object.
- If it is a destination name, the `destinationName` property would be valid string, and the destination name would be defined in the final target PDF file.
  See also
    EmbeddedGotoActionData.destination

## ◆ newWindowFlag

NewWindowFlag EmbeddedGotoActionData::newWindowFlag

The flag which is used to decide whether to open the destination document in a new window or not.

## ◆ rootFile

FileSpecData EmbeddedGotoActionData::rootFile

The file specification of the root file which is the root file for the target.

## ◆ target

EmbeddedGotoTargetData EmbeddedGotoActionData::target

An embedded goto target object.

@2025 Foxit Software Incorporated. All rights reserved.